Check upload status
curl --request GET \
--url https://media.postflow.app/api/v1/status/{mediaId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://media.postflow.app/api/v1/status/{mediaId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://media.postflow.app/api/v1/status/{mediaId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"media_id": "<string>",
"data": {
"id": "<string>",
"organization_id": "<string>",
"user_id": "<string>",
"media_folder_id": "<string>",
"is_media_library": true,
"url": "<string>",
"client_name": "<string>",
"file_name": "<string>",
"mime_type": "<string>",
"extension": "<string>",
"size": 123,
"thumbnail": "<string>",
"preview": "<string>",
"width": 123,
"height": 123,
"aspect_ratio": 123,
"duration": 123,
"fps": 123,
"video_thumbnail_frame": "<string>",
"video_thumbnail_custom": "<string>",
"video_thumbnail_time": 123,
"page_count": 123,
"page_previews": [
"<string>"
],
"conversions": [
"<string>"
],
"alt_text": "<string>",
"pivot_alt_text": [
"<string>"
],
"note": "<string>",
"is_processing": true,
"is_converted": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Media
Get media status
GET
/
status
/
{mediaId}
Check upload status
This endpoint uses a different base URL:
https://media.postflow.app/api/v1Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The media ID returned from the async upload endpoint.
Response
Upload status
⌘I